#include "global.h"
char *szOpenFilter = "DIB Files (*.dib)\0*.dib\0"
"Bitmap files (*.bmp)\0*.bmp\0"
"All Files (*.*)\0*.*\0"
"\0";
char *szIniFilter  = "INI Files (*.ini)\0*.ini\0"
"All Files (*.*)\0*.*\0"
"\0";
BOOL
PromptForFileName(hwndOwner, hInst, achFileName, cchFileName,
	szCaption, szFilter, szDefExt, dwFlags)
HWND        hwndOwner;
HANDLE        hInst;
LPSTR        achFileName;
WORD        cchFileName;
LPSTR       szCaption;
LPSTR       szFilter;
LPSTR       szDefExt;
DWORD        dwFlags;
{
	OPENFILENAME    ofname;
	BOOL        f;
	if (!(dwFlags & PFFN_SHOWDEFAULT))
	achFileName[0] = 0;
	ofname.lpstrFilter = szFilter;
	ofname.lpstrTitle = szCaption;
	ofname.lpstrDefExt = szDefExt;
	ofname.lStructSize = sizeof(ofname);
	ofname.hwndOwner = hwndOwner;
	ofname.hInstance = hInst;
	ofname.lpstrCustomFilter = NULL;
	ofname.nMaxCustFilter = 0;
	ofname.nFilterIndex = 1;
	ofname.lpstrFile = achFileName;
	ofname.nMaxFile = cchFileName;
	ofname.lpstrFileTitle = NULL;
	ofname.nMaxFileTitle = 0;
	ofname.lpstrInitialDir = NULL;
	ofname.Flags = OFN_HIDEREADONLY |
	(dwFlags & PFFN_OVERWRITEPROMPT ? OFN_OVERWRITEPROMPT : 0);
	ofname.lCustData = NULL;
	ofname.lpfnHook = NULL;
	ofname.lpTemplateName = NULL;
	if (dwFlags & PFFN_OPENFILE)
	f = GetOpenFileName(&ofname);
	else
	f = GetSaveFileName(&ofname);
	if (f && (dwFlags & PFFN_UPPERCASE))
	AnsiUpper(achFileName);
	return f;
}
