/**************************************************************************
 *
 *  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
 *  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 *  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
 *  PURPOSE.
 *
 *  Copyright (c) 1993  Microsoft Corporation.  All Rights Reserved.
 * 
 **************************************************************************/

/* this is a "C" version of the assembly code in FAST32.ASM.  I wrote it
 * solely because I couldn't get the assembly code to link properly.  If
 * you're an assembly wizard and can get the asm code to work, tell me
 * how!  If you want to know what this code is doing, please consult the
 * comments in FAST32.ASM.  Thanks! -- a-wayner@microsoft.com
 */
#include <windows.h>
#include "global.h"
void FAR PASCAL TransCopyDIBBits(
	HPBYTE   pDest,
	HPBYTE   pSource,
	DWORD   dwWidth,
	DWORD   dwHeight,
	DWORD   dwScanD,
	DWORD   dwScanS,
	BYTE   bTranClr)
{
	register HPBYTE esi, edi;
	register DWORD ebx, ecx, edx;
	register BYTE al, ah;
	ecx = dwWidth;
	if (!ecx) goto tcdb_nomore;
	edx = dwHeight;
	ah = bTranClr;
	esi = pSource;
	edi = pDest;
	dwScanD -= ecx;
	dwScanS -= ecx;
	ebx = ecx;
	tcdb_morelines:
	ecx = ebx;
	ecx >>= 2;
	if (!ecx) goto tcdb_nextscan;
	tcdb_same:
	al = *esi;
	if (al != ah) goto tcdb_diff0;
	tcdb_same0:
	al = *(esi+1);
	if (al != ah) goto tcdb_diff1;
	tcdb_same1:
	al = *(esi+2);
	if (al != ah) goto tcdb_diff2;
	tcdb_same2:
	al = *(esi+3);
	if (al != ah) goto tcdb_diff3;
	tcdb_same3:
	edi += 4;
	esi += 4;
	ecx--;
	if (ecx) goto tcdb_same;
	goto tcdb_nextscan;
	tcdb_diff:
	al = *esi;
	if (al == ah) goto tcdb_same0;
	tcdb_diff0:
	*edi = al;
	al = *(esi+1);
	if (al == ah) goto tcdb_same1;
	tcdb_diff1:
	*(edi+1) = al;
	al = *(esi+2);
	if (al == ah) goto tcdb_same2;
	tcdb_diff2:
	*(edi+2) = al;
	al = *(esi+3);
	if (al == ah) goto tcdb_same3;
	tcdb_diff3:
	*(edi+3) = al;
	edi += 4;
	esi += 4;
	ecx--;
	if (ecx) goto tcdb_diff;
	goto tcdb_nextscan;
	tcdb_nextscan:
	ecx = ebx;
	ecx &= 3;
	if (ecx) goto tcdb_oddstuff;
	tcdb_nextscan1:
	esi += dwScanS;
	edi += dwScanD;
	edx--;
	if (edx) goto tcdb_morelines;
	goto tcdb_nomore;
	tcdb_oddstuff:
	ecx++;
	tcdb_oddloop:
	ecx--;
	if (!ecx) goto tcdb_nextscan1;
	al = *esi;
	esi++;
	edi++;
	if (al == ah) goto tcdb_oddloop;
	*(edi-1)=al;
	goto tcdb_oddloop;
	tcdb_nomore:
	;}
void FAR PASCAL CopyDIBBits(
	HPBYTE   pDest,
	HPBYTE   pSource,
	DWORD   dwWidth,
	DWORD   dwHeight,
	DWORD   dwScanD,
	DWORD   dwScanS)
{
	register HPBYTE esi, edi;
	register DWORD eax, ebx, ecx, edx;
	ecx = dwWidth;
	if (!ecx) goto cdb_nomore;
	edx = dwHeight;
	if (!edx) goto cdb_nomore;
	esi = pSource;
	edi = pDest;
	dwScanD -= ecx;
	dwScanS -= ecx;
	ebx = ecx;
	eax = ecx;
	eax &= 3;
	cdb_loop:
	ecx = ebx;
	while (ecx) {*edi++ = *esi++; ecx--;}
	esi += dwScanS;
	edi += dwScanD;
	edx --;
	if (edx) goto cdb_loop;
	cdb_nomore:
	;}
